gstreamermm 1.4.3

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | List of all members
Gst::QueryConvert Class Reference

A convert query object. More...

Inheritance diagram for Gst::QueryConvert:
[legend]
Collaboration diagram for Gst::QueryConvert:
[legend]

## Public Member Functions
void | set (Format src_format, gint64 src_value, Format dest_format, gint64 dest_value)
| Answer a convert query by setting the requested values. More...
void | parse (Format& src_format, gint64& src_value, Format& dest_format, gint64& dest_value) const
| Parse a convert query answer. More...
void | parse (Format& dest_format, gint64& dest_value) const
| Parse the destination format and value of a convert query answer. More...
Format | parse_src_format () const
| Parse the source format of a convert query answer, returning the format. More...
gint64 | parse_src_value () const
| Parse the source value of a convert query answer returning, the value. More...
Format | parse_dest_format () const
| Parse the destination format of a convert query answer, returning the format. More...
gint64 | parse_dest_value () const
| Parse the destination value of a convert query answer, returning the value. More...
Public Member Functions inherited from Gst::Query
void | reference () const
| Increment the reference count for this object. More...
void | unreference () const
| Decrement the reference count for this object. More...
GstQuery* | gobj ()
| Provides access to the underlying C instance. More...
const GstQuery* | gobj () const
| Provides access to the underlying C instance. More...
GstQuery* | gobj_copy () const
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs. More...
Glib::RefPtr< Gst::Query > | create_writable ()
| Makes a writable query from the given query. More...
Gst::Structure | get_structure () const
| Get the structure of a query. More...
QueryType | get_query_type () const
| Get the Gst::QueryType of the query. More...
Glib::RefPtr< Gst::Query > | copy ()
| Copies the given query using the copy function of the parent Gst::Structure. More...
Public Member Functions inherited from Gst::MiniObject
void | reference () const
| Increment the reference count for this object. More...
void | unreference () const
| Decrement the reference count for this object. More...
GstMiniObject* | gobj ()
| Provides access to the underlying C instance. More...
const GstMiniObject* | gobj () const
| Provides access to the underlying C instance. More...
GstMiniObject* | gobj_copy () const
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs. More...
| ~MiniObject ()
guint | get_flags () const
void | set_flags (const guint& value)
gint | get_refcount () const
gint | get_lockstate () const
bool | lock (LockFlags flags)
| Lock the mini-object with the specified access mode in flags. More...
void | unlock (LockFlags flags)
| Unlock the mini-object with the specified access mode in flags. More...
bool | is_writable () const
| If mini_object has the LOCKABLE flag set, check if the current EXCLUSIVE lock on object is the only one, this means that changes to the object will not be visible to any other object. More...
Glib::RefPtr< MiniObject > | create_writable ()
| Checks if a mini-object is writable. More...
void | set_qdata (GQuark quark, QuarkData* data)
| This sets an opaque, named pointer on a miniobject. More...
QuarkData* | get_qdata (GQuark quark) const
| This function gets back user data pointers stored via set_qdata(). More...
QuarkData* | steal_qdata (GQuark quark)
| This function gets back user data pointers stored via set_qdata() and removes the data from object without invoking its destroy() function (if any was set). More...
void | add_finalize_notifier (const SlotFinalizer& slot)
| Adds notifier when mini object is finalized. More...
void | remove_finalize_notifier ()
| Remove finalize notifier. More...

## Static Public Member Functions
static Glib::RefPtr < Gst::QueryConvert > | create (Format src_format, gint64 value, Format dest_format)
| Constructs a new convert query object. More...
Static Public Member Functions inherited from Gst::Query
static Glib::RefPtr< Gst::Query > | create_buffering (Gst::Format format)
| Constructs a new query object for querying the buffering status of a stream. More...
static Glib::RefPtr< Gst::Query > | create_allocation (Glib::RefPtr< Gst::Caps > caps, bool need_pool)
| Constructs a new query object for querying the allocation properties. More...
static Glib::RefPtr< Gst::Query > | create_uri ()
| Constructs a new query URI query object. More...
static Glib::RefPtr< Gst::Query > | create_scheduling ()
| Constructs a new query object for querying the scheduling properties. More...
static Glib::RefPtr< Gst::Query > | create_drain ()
| Constructs a new query object for querying the drain state. More...
static Glib::RefPtr< Gst::Query > | create_custom (Gst::QueryType type, const Gst::Structure& structure)
| Constructs a new custom query object. More...
static Glib::RefPtr< Gst::Query > | create_convert (Gst::Format format, gint64 value, Gst::Format dest_format)
| Constructs a new convert query object. More...
static Glib::RefPtr< Gst::Query > | create_position (Gst::Format format)
| Constructs a new query stream position query object. More...
static Glib::RefPtr< Gst::Query > | create_duration (Gst::Format format)
| Constructs a new stream duration query object to query in the given format. More...
static Glib::RefPtr< Gst::Query > | create_latency ()
| Constructs a new latency query object. More...
static Glib::RefPtr< Gst::Query > | create_seeking (Gst::Format format)
| Constructs a new query object for querying seeking properties of the stream. More...
static Glib::RefPtr< Gst::Query > | create_formats ()
| Constructs a new query object for querying formats of the stream. More...
static Glib::RefPtr< Gst::Query > | create_segment (Gst::Format format)
| Constructs a new segment query object. More...
static Glib::RefPtr< Gst::Query > | create_caps (Glib::RefPtr< Gst::Caps > filter)
| Constructs a new query object for querying the caps. More...
static Glib::RefPtr< Gst::Query > | create_accept_caps (Glib::RefPtr< Gst::Caps > filter)
| Constructs a new query object for querying if caps are accepted. More...

## Additional Inherited Members
Public Types inherited from Gst::MiniObject
typedef sigc::slot< void > | SlotFinalizer
Protected Member Functions inherited from Gst::Query
| Query ()
void | operator delete (void*, std::size_t)
Protected Member Functions inherited from Gst::MiniObject
| MiniObject ()
void | operator delete (void*, std::size_t)
Static Protected Member Functions inherited from Gst::Query
template<class QueryType >
static Glib::RefPtr< QueryType > | wrap (GstQuery* query, bool take_copy=false)
Related Functions inherited from Gst::Query
Glib::RefPtr< Gst::Query > | wrap (GstQuery* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...
Related Functions inherited from Gst::MiniObject
Glib::RefPtr< Gst::MiniObject > | wrap (GstMiniObject* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...

## Detailed Description

A convert query object.

See create() for more details.

## Member Function Documentation

static Glib::RefPtr<Gst::QueryConvert> Gst::QueryConvert::create | ( | Format | src_format,
|  | gint64 | value,
|  | Format | dest_format
| ) |  |
| static

Constructs a new convert query object.

A convert query is used to ask for a conversion between one format and another.

Parameters

  src_format | The source Gst::Format for the new query.
  value | The value to convert.
  dest_format | The target Gst::Format.

Returns
  The new Gst::QueryConvert.

void Gst::QueryConvert::parse | ( | Format& | src_format,
|  | gint64 & | src_value,
|  | Format& | dest_format,
|  | gint64 & | dest_value
| ) |  | const

Parse a convert query answer.

Use the other parse() methods for parsing individual values.

Parameters

  src_format | The storage for the Gst::Format of the source value.
  src_value | The storage for the source value.
  dest_format | The storage for the Gst::Format of the destination. value.
  dest_value | The storage for the destination value.

void Gst::QueryConvert::parse | ( | Format& | dest_format,
|  | gint64 & | dest_value
| ) |  | const

Parse the destination format and value of a convert query answer.

Parameters

  dest_format | The storage for the Gst::Format of the destination value.
  dest_value | The storage for the destination value.

Format Gst::QueryConvert::parse_dest_format | ( |  | ) | const

Parse the destination format of a convert query answer, returning the format.

Returns
  The Gst::Format of the destination value.

gint64 Gst::QueryConvert::parse_dest_value | ( |  | ) | const

Parse the destination value of a convert query answer, returning the value.

Returns
  The destination value.

Format Gst::QueryConvert::parse_src_format | ( |  | ) | const

Parse the source format of a convert query answer, returning the format.

Returns
  The Gst::Format of the source value.

gint64 Gst::QueryConvert::parse_src_value | ( |  | ) | const

Parse the source value of a convert query answer returning, the value.

Returns
  The source value.

void Gst::QueryConvert::set | ( | Format | src_format,
|  | gint64 | src_value,
|  | Format | dest_format,
|  | gint64 | dest_value
| ) |  |

Answer a convert query by setting the requested values.

Parameters

  src_format | The source Gst::Format.
  src_value | The source value.
  dest_format | The destination Gst::Format.
  dest_value | The destination value.

The documentation for this class was generated from the following file:

- gstreamermm/query.h